=== debian/changelog ===
ros-kinetic-xiaoqiang-depth-image-proc (0.0.12-0xenial) xenial; urgency=high

  * fix ANN build error
  * fix ann build
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-depth-image-proc (0.0.11-0xenial) xenial; urgency=high

  * fix linking error
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-depth-image-proc (0.0.10-0xenial) xenial; urgency=high

  * add navigation and add fix depth image dependency
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Fri, 08 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-depth-image-proc (0.0.9-0xenial) xenial; urgency=high



 -- Xie fusheng <xiefs@foxmail.com>  Wed, 06 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-depth-image-proc (0.0.8-0xenial) xenial; urgency=high

  * add depth image process
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Tue, 05 Jun 2018 16:00:00 -0000
