=== debian/control ===
Source: ros-kinetic-xiaoqiang-depth-image-proc
Section: misc
Priority: extra
Maintainer: Xie fusheng <xiefs@foxmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-cv-bridge, ros-kinetic-eigen-conversions, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-message-filters, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-sensor-msgs, ros-kinetic-stereo-msgs, ros-kinetic-tf2, ros-kinetic-tf2-ros
Homepage: http://www.bwbot.org/content/xiaoqiang
Standards-Version: 3.9.2

Package: ros-kinetic-xiaoqiang-depth-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-cv-bridge, ros-kinetic-eigen-conversions, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-nodelet, ros-kinetic-tf2, ros-kinetic-tf2-ros
Description: Modified version of depth image process, add occupancy xyz Contains nodelets for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well as registering (reprojecting) a depth image into another camera frame.
